BatchQueryChart
POST
/analytics/v1/dashboard/chart-query/batchRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/analytics.v1.BatchChartQueryRequest",
"$ref-value": {
"type": "object",
"properties": {
"queries": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.ChartQueryRequest",
"$ref-value": {
"type": "object",
"properties": {
"dataset": {
"type": "string",
"examples": [
"content_views"
],
"title": "dataset"
},
"metric": {
"type": "string",
"examples": [
"unique_users"
],
"title": "metric"
},
"group_by": {
"type": "array",
"examples": [
[
"country"
]
],
"items": {
"type": "string",
"examples": [
[
"country"
]
]
},
"title": "group_by"
},
"filters": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.ChartFilter",
"$ref-value": {
"type": "object",
"properties": {
"field": {
"type": "string",
"examples": [
"country"
],
"title": "field"
},
"operator": {
"type": "string",
"examples": [
"eq"
],
"title": "operator",
"enum": [
"eq",
"neq",
"gt",
"gte",
"lt",
"lte",
"in",
"not_in",
"contains",
"not_contains",
"starts_with",
"ends_with",
"between",
"is_empty",
"is_not_empty"
]
},
"values": {
"type": "array",
"items": {
"type": "string"
},
"title": "values"
}
},
"title": "ChartFilter",
"required": [
"field"
],
"additionalProperties": false
}
},
"title": "filters"
},
"time_start": {
"type": "string",
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "time_start"
},
"time_end": {
"type": "string",
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "time_end"
},
"interval": {
"type": "string",
"examples": [
"1h"
],
"title": "interval"
},
"limit": {
"type": "integer",
"examples": [
"100"
],
"title": "limit",
"format": "int32"
}
},
"title": "ChartQueryRequest",
"required": [
"dataset",
"metric",
"time_start",
"time_end"
],
"additionalProperties": false
}
},
"title": "queries",
"maxItems": 50,
"minItems": 1
}
},
"title": "BatchChartQueryRequest",
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/analytics.v1.BatchChartQueryResponse",
"$ref-value": {
"type": "object",
"properties": {
"results": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.BatchChartQueryResult",
"$ref-value": {
"type": "object",
"properties": {
"rows": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.ChartRow",
"$ref-value": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "timestamp"
},
"dimensions": {
"type": "object",
"title": "dimensions",
"additionalProperties": {
"type": "string",
"title": "value"
}
},
"value": {
"type": "number",
"examples": [
"1250"
],
"title": "value",
"format": "double"
}
},
"title": "ChartRow",
"additionalProperties": false
}
},
"title": "rows"
},
"error": {
"type": "string",
"title": "error"
}
},
"title": "BatchChartQueryResult",
"additionalProperties": false
}
},
"title": "results"
}
},
"title": "BatchChartQueryResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/analytics/v1/dashboard/chart-query/batch" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/analytics.v1.BatchChartQueryResponse",
"$ref-value": {
"type": "object",
"properties": {
"results": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.BatchChartQueryResult",
"$ref-value": {
"type": "object",
"properties": {
"rows": {
"type": "array",
"items": {
"$ref": "#/components/schemas/analytics.v1.ChartRow",
"$ref-value": {
"type": "object",
"properties": {
"timestamp": {
"type": "string",
"examples": [
"2026-01-15T10:30:00Z"
],
"title": "timestamp"
},
"dimensions": {
"type": "object",
"title": "dimensions",
"additionalProperties": {
"type": "string",
"title": "value"
}
},
"value": {
"type": "number",
"examples": [
"1250"
],
"title": "value",
"format": "double"
}
},
"title": "ChartRow",
"additionalProperties": false
}
},
"title": "rows"
},
"error": {
"type": "string",
"title": "error"
}
},
"title": "BatchChartQueryResult",
"additionalProperties": false
}
},
"title": "results"
}
},
"title": "BatchChartQueryResponse",
"additionalProperties": false
}
}